doesn't work with Redmi Y2.  Actually, it shows parsing package error.